package com.tzld.piaoquan.recommend.server.service.score4recall.strategy;

import com.tzld.piaoquan.recommend.server.service.score.ScorerConfigInfo;
import com.tzld.piaoquan.recommend.server.service.score4recall.AbstractScorer4Recall;
import com.tzld.piaoquan.recommend.server.service.score4recall.model4recall.Model4RecallKeyValue;
import org.apache.commons.lang3.tuple.Pair;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;


public class ContentBaseRecallScore extends AbstractScorer4Recall {

    public ContentBaseRecallScore(ScorerConfigInfo configInfo) {
        super(configInfo);
    }

    @Override
    public void loadModel() {
        doLoadModel(Model4RecallKeyValue.class);
    }

    @Override
    public List<Pair<Long, Double>> recall(Map<String, String> params) {
        Model4RecallKeyValue model = (Model4RecallKeyValue) this.getModel();
        if (model == null || model.kv == null) {
            return new ArrayList<>();
        }
        List<Pair<Long, Double>> festivalLists = model.kv.getOrDefault("", new ArrayList<>());
        return null;
    }


}